Skip to main content
`Ctrl`+`K`

# Ecsv

class astropy.io.ascii.Ecsv

  Bases: `Basic`

  ECSV (Enhanced Character Separated Values) format table.

  Th ECSV format allows for specification of key table and column meta-data, in particular the data type and unit.

  See: astropy/astropy-APEs

  Examples

      >>> from astropy.table import Table
      >>> ecsv_content = '''# %ECSV 0.9
      ... # ---
      ... # datatype:
      ... # - {name: a, unit: m / s, datatype: int64, format: '%03d'}
      ... # - {name: b, unit: km, datatype: int64, description: This is column b}
      ... a b
      ... 001 2
      ... 004 3
      ... '''

      >>> Table.read(ecsv_content, format='ascii.ecsv')
      <Table length=2>
        a     b
      m / s   km
      int64 int64
      ----- -----
        001     2
        004     3

  Attributes Summary

  `max_ndim` |

  Methods Summary

  `update_table_data`(table) | Update table columns in place if mixin columns are present.

  Attributes Documentation

  max_ndim = None

  Methods Documentation

  update_table_data(table)

    Update table columns in place if mixin columns are present.

    This is a hook to allow updating the table columns after name filtering but before setting up to write the data. This is currently only used by ECSV and is otherwise just a pass-through.

    Parameters:
      table `astropy.table.Table`

        Input table for writing

    Returns:
      table `astropy.table.Table`

        Output table for writing